## termtosvg 1.1.0%2Bdfsg

=== debian/changelog ===
termtosvg (1.1.0+dfsg-4) unstable; urgency=medium

  * d/rules: Use execute_after_dh_* from Debhelper compatibility level 13 when
    relevant.
  * d/control, d/rules: Don't generate manuals under 'nodoc' build profile.
  * d/control: Exclude test dependencies under 'nocheck' build profile.
  * d/rules: Inspect DEB_BUILD_* with $(filter ,) not $(findstring ,).
  * Salsa CI: Include recipes/debian.yml.
  * Set field Upstream-Name in debian/copyright.
  * Update standards version to 4.6.2, no changes needed.
  * Add a DEP-8 test with the upstream test suite.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 25 Jan 2023 11:26:56 +0100

termtosvg (1.1.0+dfsg-3) unstable; urgency=medium

  * Rename Debian branch to debian/latest for DEP-14 compliance.
  * gbp: Remove --git-compression=xz.
  * Refresh patches.
  * Bump Standards-Version to 4.5.1 (no changes necessary).
  * Add upstream VCS tag as additional parent to upstream/$VERSION.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 05 Jan 2021 18:43:20 +0100

termtosvg (1.1.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 14 Aug 2020 16:48:03 +0200

termtosvg (1.1.0+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #955738)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 21 Jul 2020 00:28:51 +0200

## termtosvg 1.1.0+dfsg

=== Makefile ===
.PHONY: usage tests build deploy_test deploy_prod html man install

PIP=pip
PYTHON=python

EXAMPLES_DIR=docs/examples
CASTS_DIR=$(EXAMPLES_DIR)/casts

.DEFAULT: usage

usage:
	@echo "Usage:"
	@echo "    make build           # Build source distribution archives"
	@echo "    make deploy_prod     # Upload source distribution archives to pypi.org"
	@echo "    make deploy_test     # Upload source distribution archives to test.pypi.org"
	@echo "    make man             # Build manual pages"
	@echo "    make html            # Build GitHub pages website"
	@echo "    make tests           # Run unit tests"

install:
	$(PYTHON) --version
	$(PIP) install -U -e .[dev]
	$(PIP) freeze

tests:
	coverage run --branch --source termtosvg -m unittest termtosvg.tests.suite -v
	coverage report
	pylint -j 0 --extension-pkg-whitelist lxml termtosvg/*.py || exit 0

build:
	rm -rf dist && \
	$(PYTHON) setup.py sdist bdist_wheel

man:
	pandoc man/termtosvg.md -s -t man > man/termtosvg.man.1
	pandoc man/termtosvg-templates.md -s -t man > man/termtosvg-templates.man.5
	tar -czf "man_$${TRAVIS_TAG}.tar.gz" man/termtosvg*.man.*

html:
	cp -r termtosvg/data/templates/ docs/
	termtosvg render $(CASTS_DIR)/awesome.cast $(EXAMPLES_DIR)/awesome_window_frame_powershell.svg -t window_frame_powershell
	termtosvg render $(CASTS_DIR)/awesome.cast $(EXAMPLES_DIR)/awesome_window_frame_js.svg -t window_frame_js
	termtosvg render $(CASTS_DIR)/colors.cast $(EXAMPLES_DIR)/colors_progress_bar.svg -t progress_bar
	termtosvg render $(CASTS_DIR)/htop.cast $(EXAMPLES_DIR)/htop_gjm8.svg -t gjm8
	termtosvg render $(CASTS_DIR)/ipython.cast $(EXAMPLES_DIR)/ipython_window_frame.svg -t window_frame
	termtosvg render $(CASTS_DIR)/unittest.cast $(EXAMPLES_DIR)/unittest_solarized_dark.svg -t solarized_dark
	for template in $$(ls termtosvg/data/templates/*.svg | grep -v gjm8_play); \
	    do \
	    	filename="$$(basename $$template)"; \
		termtosvg render "$(CASTS_DIR)/awesome.cast" "$(EXAMPLES_DIR)/$$filename" -t "$$template"; \
	    done

deploy_test:
	twine upload -r pypitest dist/*

deploy_prod:
	twine upload -r pypi dist/*

=== debian/changelog ===
termtosvg (1.1.0+dfsg-5) unstable; urgency=medium

  * Add new DEP-8 test with a simple recording session.
  * d/gbp.conf: Re-add `--git-compression=xz`.
  * Update Standards-Version to 4.7.2 (no changes necessary).
  * d/copyright: Replace FSF's old postal address with an URL.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 02 May 2025 16:40:20 +0200

=== debian/control ===
Source: termtosvg
Section: python
Priority: optional
Maintainer: Guilhem Moulin <guilhem@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pandoc <!nodoc>,
               python3-all,
               python3-lxml <!nocheck>,
               python3-pyte (>= 0.6.0) <!nocheck>,
               python3-setuptools,
               python3-wcwidth <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/nbedos/termtosvg
Vcs-Git: https://salsa.debian.org/debian/termtosvg.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/debian/termtosvg

Package: termtosvg
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: record terminal sessions as standalone SVG animations
 termtosvg is a Unix terminal recorder written in Python that renders
 command line sessions as standalone SVG animations.  Features:
 .
  * Produce lightweight and clean looking animations embeddable on a
    project page
  * Custom color themes, terminal UI and animation controls via SVG
    templates
  * Compatible with asciinema recording format

=== debian/tests/control ===
Features: test-name=upstream-testsuite
Test-Command: cd /usr/share/termtosvg && python3 -m unittest termtosvg.tests.suite -v
Depends: termtosvg
Restrictions: allow-stderr

Tests: record1
Depends: termtosvg
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%termtosvg-$1.tar.gz%,dversionmangle=auto,repacksuffix=+dfsg" \
    https://github.com/nbedos/termtosvg/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
